
#include <Servo.h>

#define stp 2
#define dir 3
#define MS1 4
#define MS2 5
#define MS3 6
#define EN  7

Servo myservo;  // create servo object to control a servo

Servo leftmotor;
// twelve servo objects can be created on most boards

int pos = 0;    // variable to store the servo position
int ctr;
int ctrD;
char user_input;
int x;
int y;
int state;

void setup() {
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
  leftmotor.attach(10);
}

void loop() {
  for (pos = 0; pos <= 60; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(65);                       // waits 15ms for the servo to reach the position
  }
  for (pos = 60; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(30);                       // waits 15ms for the servo to reach the position
  }
 delay(500);
 int k = 0;
 for (ctr = 0; ctr<= 3; ctr += 1){
 
for (pos = k; pos <= k+14; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(85);  
     }
 k=k+14;

 leftmotor.write(89.5);
 delay(350);//for use with continuous motor
 leftmotor.write(91.99);
 delay(300);

 } 

 delay(50);
  Arm();
delay(5000);

for (ctrD = 0; ctrD<= 3; ctrD += 1){
 
for (pos = k; pos >= k-14; pos -= 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    myservo.write(pos);              // tell servo to go to position in variable 'pos'
    delay(85);  
     }
 k=k-14;

 leftmotor.write(94.5);
 delay(350);//for use with continuous motor
 leftmotor.write(91.99);
 delay(300);

 } 

}

void Arm()
{
 
  {
  Serial.println("Moving forward at default step mode.");
  digitalWrite(dir, LOW); //Pull direction pin low to move "forward"
    for(x= 1; x<320; x++)  //Loop the forward stepping enough times for motion to be visible
    {
      digitalWrite(stp,HIGH); //Trigger one step forward
      delay(1);
      digitalWrite(stp,LOW); //Pull step pin low so it can be triggered again
      delay(8);
    }
  }
  delay(10000);
  {
  Serial.println("Moving in reverse at default step mode.");
  digitalWrite(dir, HIGH); //Pull direction pin high to move in "reverse"
    for(x= 1; x<380; x++)  //Loop the stepping enough times for motion to be visible
    {
      digitalWrite(stp,HIGH); //Trigger one step
      delay(1);
      digitalWrite(stp,LOW); //Pull step pin low so it can be triggered again
      delay(8);
    }
  }
  
 }

